Bug 127326 - UI: First Page icon in Calc's page preview toolbar looks different than last page icon
Summary: UI: First Page icon in Calc's page preview toolbar looks different than last ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2019-09-04 05:26 UTC by Thomas Lendo
Modified: 2019-10-23 07:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Default toolbars in Calc's page preview (LibO 6.4) (7.00 KB, image/png)
2019-09-04 05:26 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2019-09-04 05:26:01 UTC
Created attachment 153854 [details]
Default toolbars in Calc's page preview (LibO 6.4)

In Calc's page preview toolbar, the First Page icon looks different than the last page icon. This is true for Elementary and Breeze icon set.

Actual result:
First page icon is a house, last page icon is an arrow to the right with a vertical line.

Expected result:
First page icon should look similar to last page icon because they are highly related.


Version: 6.4.0.0.alpha0+ (x64)
Build-ID: 41cd3e8e817c8c33a13608e62eeb06ce2c6977e4
CPU-Threads: 12; BS: Windows 10.0; UI-Render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-01_22:04:10
Gebietsschema: de-AT (de_AT); UI-Sprache: de-DE
Comment 1 m.a.riosv 2019-09-04 07:04:24 UTC
Repro
Version: 6.4.0.0.alpha0+ (x64)
Build ID: 01837a85004a6f891a09c0a63ed7eff75d634827
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-01_00:07:05
Locale: es-ES (es_ES); UI-Language: en-USCalc: CL
Comment 2 Xisco Faulí 2019-09-05 11:32:20 UTC
The icon was added in https://cgit.freedesktop.org/libreoffice/core/commit/?id=47d3f4fcf861d5a24899bf78296da50a07d58a8c, before there wasn't any icon at all

@Rizal Muttaqin, I thought you might be interested in this issue...
Comment 3 Commit Notification 2019-09-07 13:43:24 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e9deed5fc19bac2c9fe8292af5200808b81c3493%5E%21

KJ & elementary: tdf#127415, elementary: tdf#127326

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-09-07 23:40:00 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/294222866f4d39e200cf365bac77de76b2ae9841%5E%21

Breeze: Fix for tdf#127415 & tdf#127326

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-09-08 12:07:06 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/00c33cfa2edcacbf4895997870d653610efbe3e6%5E%21

KJ & elementary: tdf#127415, elementary: tdf#127326

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Thomas Lendo 2019-10-23 07:36:41 UTC
Thanks for fixing this!

Tested with Version: 6.4.0.0.alpha0+ (x64)
Build ID: 758516295e5f69393bd78bb4af6e7214d48ece0b
CPU threads: 12; OS: Windows 10.0 Build 17763; UI render: GL; VCL: win;